Skip to content

List Bundles

GET https://api.secure.quotivity.com/v1/bundles

Retrieves a paginated list of all bundles with option counts.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
startKey string No Cursor for pagination
limit string No —
Status Body Description
200 ListBundlesResponse Successfully retrieved bundles
401 — Unauthorized
429 — Rate limit exceeded
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
isActive boolean Yes —
header BundleProduct No —
configuratorEnabled boolean No —
clonedBundleTempName string No —
Field Type Required Description
productId string Yes —
properties map of string to string Yes —

Extends Bundle.

Field Type Required Description
id string Yes —
accountId string Yes —
isActive boolean Yes —
header BundleProduct No —
configuratorEnabled boolean No —
clonedBundleTempName string No —
includedOptionsCount number Yes —
addOnOptionsCount number Yes —
Field Type Required Description
bundles BundleWithOptionCounts[] Yes —
nextKey string No —